> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-9c5a0d9c.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# サービスのパスワードを更新

> service の新しい password を設定します



## OpenAPI

````yaml /ja/_specs/cloud-openapi.json patch /v1/organizations/{organizationId}/services/{serviceId}/password
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/password:
    patch:
      tags:
        - Service
      summary: サービスのパスワードを更新
      description: service の新しい password を設定します
      parameters:
        - description: service を所有する組織の ID。
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: password を更新する service の ID。
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ServicePasswordPatchRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 各リクエストに割り当てられる一意の ID。UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/ServicePasswordPatchResponse'
                  status:
                    description: HTTPステータスコード。
                    example: 200
                    type: number
                type: object
          description: 正常なレスポンス
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 詳細なエラー説明。
                    type: string
                  status:
                    description: HTTPステータスコード。
                    example: 400
                    type: number
                type: object
          description: client error と見なされる何らかの理由により、server はリクエストを処理できないか、処理しません。
components:
  schemas:
    ServicePasswordPatchRequest:
      properties:
        newDoubleSha1Hash:
          description: >-
            MySQL プロトコル用の任意のダブル SHA1 パスワード ハッシュ。newPasswordHash
            が指定されていない場合、この項目は無視され、生成されたパスワードが使用されます。Algorithm: echo -n
            "yourpassword" | sha1sum | tr -d '-' | xxd -r -p | sha1sum | tr -d
            '-'
          type: string
        newPasswordHash:
          description: >-
            任意のパスワード
            ハッシュ。ネットワーク経由でのパスワード送信を避けるために使用されます。指定しない場合は新しいパスワードが生成され、レスポンスで返されます。指定した場合はこのハッシュが使用されます。Algorithm:
            echo -n "yourpassword" | sha256sum | tr -d '-' | xxd -r -p | base64
          type: string
    ServicePasswordPatchResponse:
      properties:
        password:
          description: 新しいサービス パスワード。リクエストに 'newPasswordHash' がない場合にのみ提供されます
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud console で取得した key ID と key secret を使用してください:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````